
Figure - 开发 Dev #111196
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 111193 (New): 【MK】【028】【PWM】主任务

【MK】【028】【PWM】【TC-RID: 1201-0102803】风扇控制，温度控制策略
2022-08-11 13:34 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-08-11

Priority: Normal Due date: 2022-10-27

Assignee: CDTS_TEST 王成 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-09-02 10:55 - SZ TPM-罗云进

- Assignee changed from SZ TPM-罗云进 to CD BSP-唐金泽

#2 - 2022-09-02 13:25 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to CD BSP-杨澍

先添加cooling device 设备；

温度参考按照cpu结温为输入。

后续请跟进马馨，了解温控策略的具体调整

#3 - 2022-09-02 13:26 - CD BSP-唐金泽

- Status changed from New to 进行中 In Progress

#4 - 2022-09-21 11:18 - CD BSP-杜磊

- Assignee changed from CD BSP-杨澍 to CD BSP-陈杰

#5 - 2022-09-28 15:49 - CD BSP-陈杰

- Status changed from 进行中 In Progress to 完成 Closed

- Assignee changed from CD BSP-陈杰 to CDTS_TEST 王成

- % Done changed from 0 to 100

已经完成功能开发，代码已经入库，并通过软件测试。

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/149823

#6 - 2022-10-27 21:22 - CD BSP-唐金泽
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/149823


- Due date set to 2022-10-27

- Status changed from 完成 Closed to 解决 Resolved

- Assignee changed from CDTS_TEST 王成 to CD BSP-陈杰

提供一下最新的温度策略，以便于测试验证

#7 - 2022-10-28 09:26 - CD BSP-陈杰

- File 副驾屏模块温升逻辑表20221019.xlsx added

- Assignee changed from CD BSP-陈杰 to CDTS_TEST 王成

温度策略见附件所示。

升温：大于等于70°开始第一档转动，达到85°，第二档，达到90°，第三档；

降温：90°降低到85°，第三档，85°到70°，第二档，70°到50°，第一档，小于50°，关闭

#8 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149823 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:PWM:Add a PWM fan to the device treeThe cooling device is implemented through the device tree. And set three gears:Below 50℃: =====> 0% speed50

℃~75℃ =====> 40% speed60℃~85℃ =====> 60% speedAbove 85℃ =====> 80% speedTC-RID: 1201-0102803IssueID: TS-R-DF-111196Change-Id:

Ib406ea11e376803dd033802ee0d424f7ed0c5541

#9 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151266 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:PWM: Enable a PWM fan driverThe cooling device is implemented through the device treeAnd set three gears:Below 50℃: =====> 0% speed50℃~75℃

=====> 40% speed60℃~85℃ =====> 60% speedAbove 85℃ =====> 80% speedTC-RID: 1201-0102803IssueID: TS-R-DF-111196Change-Id:

I3811982c392eb66e51d69c9f960f3bcaab89fc35
#10 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158047 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: PWM: Modified the temperature control policy of the fanThe cooling device is implemented through the device tree. And set three gears:Below 50℃:

=====> 0% speed70℃ =====> 40% speed85℃ =====> 60% speed90℃ =====> 60% speedTC-RID: 1201-0102803IssueID: TS-R-DF-111196Change-Id:

I073001ae2f3ed60eb60d3956a98718eae77a6ca3

#11 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162977 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: PWM:Add feedback node for PWM fan [2]Increase the feedback information of the fan speed,and the current fan speed can be obtained through the

nodeTC-RID: 1201-0102803IssueID: TS-R-DF-111196Change-Id: I33338bacf0fc5fc327d19851e41adc2a10891b35

#12 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162978 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: PWM:Add feedback node for PWM fan [1]Increase the feedback information of the fan speed,and the current fan speed can be obtained through the

nodeTC-RID: 1201-0102803IssueID: TS-R-DF-111196Change-Id: Ib2af027cdee8d3db7470425fae6ed30b2fb8c0df

#13 - 2023-01-17 15:20 - CDTS_TEST 王成

- Status changed from 解决 Resolved to 完成 Closed

Files

副驾屏模块温升逻辑表20221019.xlsx 12.2 KB 2022-10-28 CD BSP-陈杰
